require 'rainbow'
require 'rake/clean'
require 'open3'
require 'rake/testtask'
require 'digest'

lib_dir=File.dirname(__FILE__)
Dir.glob(lib_dir + '/raykit/**/*.rb') {|file| require file}

PROJECT=Raykit::Project.new
SECRETS=Raykit::Secrets.new
#TIMER=Raykit::Timer.new

REPOSITORIES = Raykit::Git::Repositories.new(Raykit::Environment::get_dev_dir('log') + "/Raykit.Git.Repositories.json")
if(Dir.exist?('.git'))
    GIT_DIRECTORY=Raykit::Git::Directory.new(Rake.application.original_dir)
end